libetonyek::IWORKValueContext< Type, NestedParser, Id, Id2 > Class Template Reference documentation

Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::IWORKValueContext< Type, NestedParser, Id, Id2 > Class Template Reference

`#include <IWORKValueContext.h>`

Inheritance diagram for libetonyek::IWORKValueContext< Type, NestedParser, Id, Id2 >:

## Public Member Functions
| IWORKValueContext (IWORKXMLParserState &state, boost::optional< Type > &value)
| IWORKValueContext (IWORKXMLParserState &state, Type &value, bool *isSet=nullptr)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T >
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Protected Member Functions
void | set (const Type &value)
IWORKXMLContextPtr_t | element (const int name) override
void | endOfElement () override
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const

## Private Member Functions
| IWORKValueContext (const IWORKValueContext &)
IWORKValueContext & | operator= (const IWORKValueContext &)

## Private Attributes
boost::optional< Type > | m_value
boost::optional< Type > & | m_optional
Type *const | m_direct
bool *const | m_isSet

## Additional Inherited Members
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKValueContext() [1/3]

template<typename Type , class NestedParser , unsigned Id, unsigned Id2 = 0>

libetonyek::IWORKValueContext< Type, NestedParser, Id, Id2 >::IWORKValueContext | ( | IWORKXMLParserState & | state,
|  | boost::optional< Type > & | value
| ) |  |
| inline

## ◆ IWORKValueContext() [2/3]

template<typename Type , class NestedParser , unsigned Id, unsigned Id2 = 0>

libetonyek::IWORKValueContext< Type, NestedParser, Id, Id2 >::IWORKValueContext | ( | IWORKXMLParserState & | state,
|  | Type & | value,
|  | bool * | isSet = `nullptr`
| ) |  |
| inline

## ◆ IWORKValueContext() [3/3]

template<typename Type , class NestedParser , unsigned Id, unsigned Id2 = 0>

libetonyek::IWORKValueContext< Type, NestedParser, Id, Id2 >::IWORKValueContext | ( | const IWORKValueContext< Type, NestedParser, Id, Id2 > & |  | ) |
| private

## Member Function Documentation

## ◆ element()

template<typename Type , class NestedParser , unsigned Id, unsigned Id2 = 0>

IWORKXMLContextPtr_t libetonyek::IWORKValueContext< Type, NestedParser, Id, Id2 >::element | ( | const int | name | ) |
| inlineoverrideprotected

## ◆ endOfElement()

template<typename Type , class NestedParser , unsigned Id, unsigned Id2 = 0>

void libetonyek::IWORKValueContext< Type, NestedParser, Id, Id2 >::endOfElement | ( |  | ) |
| inlineoverrideprotected

## ◆ operator=()

template<typename Type , class NestedParser , unsigned Id, unsigned Id2 = 0>

IWORKValueContext& libetonyek::IWORKValueContext< Type, NestedParser, Id, Id2 >::operator= | ( | const IWORKValueContext< Type, NestedParser, Id, Id2 > & |  | ) |
| private

## ◆ set()

template<typename Type , class NestedParser , unsigned Id, unsigned Id2 = 0>

void libetonyek::IWORKValueContext< Type, NestedParser, Id, Id2 >::set | ( | const Type & | value | ) |
| inlineprotected

## Member Data Documentation

## ◆ m_direct

template<typename Type , class NestedParser , unsigned Id, unsigned Id2 = 0>

Type* const libetonyek::IWORKValueContext< Type, NestedParser, Id, Id2 >::m_direct
| private

Referenced by libetonyek::IWORKValueContext< Type, NestedParser, Id, Id2 >::endOfElement().

## ◆ m_isSet

template<typename Type , class NestedParser , unsigned Id, unsigned Id2 = 0>

bool* const libetonyek::IWORKValueContext< Type, NestedParser, Id, Id2 >::m_isSet
| private

Referenced by libetonyek::IWORKValueContext< Type, NestedParser, Id, Id2 >::endOfElement().

## ◆ m_optional

template<typename Type , class NestedParser , unsigned Id, unsigned Id2 = 0>

boost::optional<Type>& libetonyek::IWORKValueContext< Type, NestedParser, Id, Id2 >::m_optional
| private

Referenced by libetonyek::IWORKValueContext< Type, NestedParser, Id, Id2 >::endOfElement().

## ◆ m_value

template<typename Type , class NestedParser , unsigned Id, unsigned Id2 = 0>

boost::optional<Type> libetonyek::IWORKValueContext< Type, NestedParser, Id, Id2 >::m_value
| private

Referenced by libetonyek::IWORKValueContext< Type, NestedParser, Id, Id2 >::element(), libetonyek::IWORKValueContext< Type, NestedParser, Id, Id2 >::endOfElement(), and libetonyek::IWORKValueContext< Type, NestedParser, Id, Id2 >::set().

The documentation for this class was generated from the following file:

- IWORKValueContext.h